Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSqlIndex

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.sql.QSqlRecord
                  com.trolltech.qt.sql.QSqlIndex

All Implemented Interfaces:
  QtJambiInterface

    public class QSqlIndex

extends QSqlRecord

The `QSqlIndex` class provides functions to manipulate and describe database indexes.

An index refers to a single table or view in a database. Information about the fields that comprise the index can be used to generate SQL statements, or to affect the behavior of a `QSqlCursor` object.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QSqlIndex()` Equivalent to `QSqlIndex`(QString(), QString()).
`QSqlIndex(QSqlIndex other)` Constructs a copy of `other`.
`QSqlIndex(java.lang.String cursorName)` Equivalent to `QSqlIndex`(`cursorName`, QString()).
`QSqlIndex(java.lang.String cursorName, java.lang.String name)` Constructs an empty index using the cursor name `cursorName` and index name `name`.

Method Summary
`void` | `append(QSqlField field)` Appends the field `field` to the list of indexed fields.
`void` | `append(QSqlField field, boolean desc)` Appends the field `field` to the list of indexed fields.
`java.lang.String` | `cursorName()` Returns the name of the cursor which the index is associated with.
`static QSqlIndex` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QSqlIndex instance pointed to by nativePointer
`boolean` | `isDescending(int i)` Returns true if field `i` in the index is sorted in descending order; otherwise returns false.
`java.lang.String` | `name()` Returns the name of the index.
`static QNativePointer` | `nativePointerArray(QSqlIndex[] array)` This function returns a QNativePointer that is pointing to the specified QSqlIndex array.
`void` | `setCursorName(java.lang.String cursorName)` Sets the name of the cursor that the index is associated with to `cursorName`.
`void` | `setDescending(int i, boolean desc)` If `desc` is true, field `i` is sorted in descending order.
`void` | `setName(java.lang.String name)` Sets the name of the index to `name`.

Methods inherited from class com.trolltech.qt.sql.QSqlRecord
`clear, clearValues, contains, count, equals, field, field, fieldName, indexOf, insert, isEmpty, isGenerated, isGenerated, isNull, isNull, nativePointerArray, remove, replace, setGenerated, setGenerated, setNull, setNull, setValue, setValue, value, value`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QSqlIndex

    public QSqlIndex(QSqlIndex other)

  Constructs a copy of `other`.

### QSqlIndex

    public QSqlIndex(java.lang.String cursorName)

  Equivalent to `QSqlIndex`(`cursorName`, QString()).

### QSqlIndex

    public QSqlIndex()

  Equivalent to `QSqlIndex`(QString(), QString()).

### QSqlIndex

    public QSqlIndex(java.lang.String cursorName,
                     java.lang.String name)

  Constructs an empty index using the cursor name `cursorName` and index name `name`.

Method Detail

### append

    public final void append(QSqlField field)

  Appends the field `field` to the list of indexed fields. The field is appended with an ascending sort order.

  Overrides:
    `append` in class `QSqlRecord`
  See Also:
    `insert`, `replace`, `remove`

### append

    public final void append(QSqlField field,
                             boolean desc)

  Appends the field `field` to the list of indexed fields. The field is appended with an ascending sort order, unless `desc` is true.

### cursorName

    public final java.lang.String cursorName()

  Returns the name of the cursor which the index is associated with.

  See Also:
    `setCursorName`

### isDescending

    public final boolean isDescending(int i)

  Returns true if field `i` in the index is sorted in descending order; otherwise returns false.

### name

    public final java.lang.String name()

  Returns the name of the index.

  See Also:
    `setName`

### setCursorName

    public final void setCursorName(java.lang.String cursorName)

  Sets the name of the cursor that the index is associated with to `cursorName`.

  See Also:
    `cursorName`

### setDescending

    public final void setDescending(int i,
                                    boolean desc)

  If `desc` is true, field `i` is sorted in descending order. Otherwise, field `i` is sorted in ascending order (the default). If the field does not exist, nothing happens.

  See Also:
    `isDescending`

### setName

    public final void setName(java.lang.String name)

  Sets the name of the index to `name`.

  See Also:
    `name`

### fromNativePointer

    public static QSqlIndex fromNativePointer(QNativePointer nativePointer)

  This function returns the QSqlIndex instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QSqlIndex[] array)

  This function returns a QNativePointer that is pointing to the specified QSqlIndex array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD